# vim: set sw=4 ts=4 et:
# Copyright (c) 2007-2010 oc2pus
#                    2010 Pascal Bleser <pascal.bleser@opensuse.org>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

%define soname	        3
%define common_soname   0

Name:           extractor
Summary:        Library to Extract Metadata from Files
Version:        0.6.2
Release:        0.pm.4.4
License:        GNU General Public License version 2 or later (GPLv2 or later)
Group:          System/Libraries
URL:            http://www.gnu.org/software/libextractor/
PreReq:         info
BuildRequires:  flac-devel
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  ImageMagick
BuildRequires:  libexiv2-devel
BuildRequires:  libffmpeg_oldabi-devel
BuildRequires:  libgsf-devel
BuildRequires:  libmpeg2-devel
BuildRequires:  libpoppler-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libbz2-devel
BuildRequires:  mDNSResponder-lib
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  qt-devel
%if %suse_version > 1110
BuildRequires:  rpm-devel
%endif
BuildRequires:  vorbis-tools libspeex1
# http://gnunet.org/libextractor/download/lib%{name}-%{version}.tar.gz
Source:         lib%{name}-%{version}.tar.bz2
Source90:       %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# old name
Provides:       libextractor = 0.5.3
Obsoletes:      libextractor < 0.5.3

%description
Using libextractor, you can extract metadata from files of arbitrary
types. Supported file formats include HTML, PDF, DVI, PS, MP3, OGG,
WAV, JPEG, GIF, PNG, TIFF, RPM, ZIP, TAR, ELF, REAL, RIFF (AVI), MPEG,
QT, and ASF. Also, various additional MIME types are detected.

This release adds support for Adobe Flash (FLV) and Free Lossless Audio
Codec (FLAC) files. The quicktime, ole2, and split extractors were also
improved.

Helper libraries perform the extraction. It is extendable by linking
against external extractors for additional file types.

The goal is to provide developers of indexing tools with a universal
library to obtain simple keywords to match against queries.
libextractor contains a shell command 'extract' that, similar to the
well-known 'file' command, can extract metadata from a file and print
the results to stdout.

The project site is http://savannah.gnu.org/projects/libextractor.

%package -n lib%{name}%{soname}
Summary:        Shared libraries for the package libextractor
Group:          System/Libraries
Provides:       %{name}1 = 0.5.3
Obsoletes:      %{name}1 < 0.5.3
Requires:       lib%{name}_common%{common_soname} = %{version}

%description -n lib%{name}%{soname}
This package contains the shared libraries for the package libextractor.

%package -n lib%{name}_common%{common_soname}
Summary:        Shared libraries for the package libextractor
Group:          System/Libraries

%description -n lib%{name}_common%{common_soname}
This package contains the shared libraries for the package libextractor.

%package -n lib%{name}-devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Languages/C and C++
Requires:       lib%{name}%{soname} = %{version}
Requires:       flac-devel
Requires:       glibc-devel
Requires:       gtk2-devel
Requires:       libffmpeg-devel
Requires:       libgsf-devel
Requires:       libmpeg2-devel
Requires:       libpoppler-devel
Requires:       libvorbis-devel
Requires:       libtool
Requires:       zlib-devel
Requires:       python-devel
Requires:       qt-devel
%if %suse_version > 1110
Requires:       rpm-devel
%endif

%description -n lib%{name}-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%lang_package
%prep
%setup -q -n "lib%{name}-%{version}"

%build
export CPPFLAGS="$RPM_OPT_FLAGS -D__STDC_CONSTANT_MACROS"
export CXXFLAGS="$RPM_OPT_FLAGS -D__STDC_CONSTANT_MACROS"
export CFLAGS="$RPM_OPT_FLAGS -D__STDC_CONSTANT_MACROS"
%configure \
    --with-qt="%{_prefix}" \
    --enable-xpdf \
    --enable-exiv2 \
    --enable-ffmpeg \
    --enable-printable

find . -name Makefile | xargs %__sed -i -e 's|-L/usr/lib|-L/%{_libdir}|g'

%__make \
    STRIP=touch
#%{?jobs:-j%{jobs}}

%install
%makeinstall \
    STRIP=touch

%__rm %{buildroot}%{_libdir}/*.la
%__rm %{buildroot}%{_libdir}/lib%{name}/*.la

%find_lang lib%{name}

%post   -n lib%{name}%{soname} -p /sbin/ldconfig
%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%post   -n lib%{name}_common%{common_soname} -p /sbin/ldconfig
%postun -n lib%{name}_common%{common_soname} -p /sbin/ldconfig

%post -n lib%{name}-devel
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun -n lib%{name}-devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files lang -f lib%{name}.lang

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc %{_mandir}/man1/*
%{_bindir}/extract
%dir %{_libdir}/lib%{name}
%{_libdir}/lib%{name}/libextractor_applefile.so
%{_libdir}/lib%{name}/libextractor_asf.so
%{_libdir}/lib%{name}/libextractor_deb.so
%{_libdir}/lib%{name}/libextractor_dvi.so
%{_libdir}/lib%{name}/libextractor_elf.so
%{_libdir}/lib%{name}/libextractor_exiv2.so
%{_libdir}/lib%{name}/libextractor_flac.so
%{_libdir}/lib%{name}/libextractor_flv.so
%{_libdir}/lib%{name}/libextractor_gif.so
%{_libdir}/lib%{name}/libextractor_html.so
%{_libdir}/lib%{name}/libextractor_id3.so
%{_libdir}/lib%{name}/libextractor_id3v2.so
%{_libdir}/lib%{name}/libextractor_id3v23.so
%{_libdir}/lib%{name}/libextractor_id3v24.so
%{_libdir}/lib%{name}/libextractor_it.so
%{_libdir}/lib%{name}/libextractor_jpeg.so
%{_libdir}/lib%{name}/libextractor_man.so
%{_libdir}/lib%{name}/libextractor_mime.so
%{_libdir}/lib%{name}/libextractor_mp3.so
%{_libdir}/lib%{name}/libextractor_mpeg.so
%{_libdir}/lib%{name}/libextractor_nsf.so
%{_libdir}/lib%{name}/libextractor_nsfe.so
%{_libdir}/lib%{name}/libextractor_odf.so
%{_libdir}/lib%{name}/libextractor_ogg.so
%{_libdir}/lib%{name}/libextractor_ole2.so
%{_libdir}/lib%{name}/libextractor_pdf.so
%{_libdir}/lib%{name}/libextractor_png.so
%{_libdir}/lib%{name}/libextractor_ps.so
%{_libdir}/lib%{name}/libextractor_qt.so
%{_libdir}/lib%{name}/libextractor_real.so
%{_libdir}/lib%{name}/libextractor_riff.so
%if %suse_version > 1110
%{_libdir}/lib%{name}/libextractor_rpm.so
%endif
%{_libdir}/lib%{name}/libextractor_s3m.so
%{_libdir}/lib%{name}/libextractor_sid.so
%{_libdir}/lib%{name}/libextractor_tar.so
%{_libdir}/lib%{name}/libextractor_thumbnailffmpeg.so
%{_libdir}/lib%{name}/libextractor_thumbnailgtk.so
%{_libdir}/lib%{name}/libextractor_thumbnailqt.so
%{_libdir}/lib%{name}/libextractor_tiff.so
%{_libdir}/lib%{name}/libextractor_wav.so
%{_libdir}/lib%{name}/libextractor_xm.so
%{_libdir}/lib%{name}/libextractor_zip.so

%files -n lib%{name}%{soname}
%defattr(-, root, root)
%{_libdir}/libextractor.so.%{soname}
%{_libdir}/libextractor.so.%{soname}.*

%files -n lib%{name}_common%{common_soname}
%defattr(-, root, root)
%{_libdir}/libextractor_common.so.%{common_soname}
%{_libdir}/libextractor_common.so.%{common_soname}.*

%files -n lib%{name}-devel
%defattr(-, root, root) 
%doc %{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_datadir}/info/%{name}.info.gz

%changelog
* Wed Jul 28 2010 toni@links2linux.de
- update to 0.6.2
- This release fixes various minor bugs, in particular better handling of
  malloc failures and more robust handling of malformed inputs in various
  plugins.
* Sun Mar 14 2010 toni@links2linux.de
- update to 0.6.1
- This release fixes a problem with LE not finding its plugins under
  certain conditions. It also fixes an IPC issue under FreeBSD which
  caused some plugins to not work.
* Thu Jan 14 2010 toni@links2linux.de
- update to 0.6.0
- new so-name ==> libextractor3
- renamed libextractor to extractor
- removed static library
- This release adds out-of-process execution for plugins and improves
  the quality and quantity of the extracted meta data for many formats.
- It breaks API compatibility.
* Tue Oct 20 2009 toni@links2linux.de
- update to 0.5.23
- This release adds support for librpm 4.7 and uses an external version of
  libexiv2 for improved and more up-to-date EXIV2 support.
* Sat Feb 21 2009 toni@links2linux.de
- update to 0.5.22
- added install-info macros, moved info pages to devel package
* Sun Nov  2 2008 toni@links2linux.de
- update to 0.5.21
* Tue Jul 15 2008 toni@links2linux.de
- update to 0.5.20c
* Sun Apr 27 2008 toni@links2linux.de
- update to 0.5.20b
* Tue Apr 15 2008 toni@links2linux.de
- update to 0.5.20a
* Sun Mar 23 2008 toni@links2linux.de
- update to 0.5.20
* Sun Jan 13 2008 toni@links2linux.de
- update to 0.5.19a
* Mon Jan  7 2008 toni@links2linux.de
- update to 0.5.19
* Sun Sep  2 2007 toni@links2linux.de
- buildOpenSUSE-10.3, fixed BuildRequires
* Mon Jun 25 2007 toni@links2linux.de
- initial build 0.5.18
